Search documentation of bb

# BB.Error.Hardware.Disconnected exception (bb v0.17.0)

Copy Markdown View Source

Hardware device is disconnected or not responding.

Raised when a device that was previously connected is no longer reachable.

## Summary

### Functions

exception(args)

Create an `Elixir.BB.Error.Hardware.Disconnected` without raising it.

## Functions

# exception(args)

    @spec exception(opts :: Keyword.t()) :: %BB.Error.Hardware.Disconnected{
      __exception__: true,
      bread_crumbs: term(),
      class: term(),
      device: term(),
      path: term(),
      reason: term(),
      splode: term(),
      stacktrace: term(),
      vars: term()
    }

Create an `Elixir.BB.Error.Hardware.Disconnected` without raising it.

## Keys

- :device
- :reason